Bug 188550 - [KDE] openoffice crashes in kde fc5
[KDE] openoffice crashes in kde fc5
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 22:29 EDT by Eduardo N. H.
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 03:49:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace mapped back to line numbers and methods (8.93 KB, text/plain)
2006-04-11 04:25 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Eduardo N. H. 2006-04-10 22:29:28 EDT
Description of problem:
I start openoffice.org impress.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. start ooimpress.
2.
3.
  
Actual results:

Video Driver is probably: nv
Desktop is: not GNOME
libgcj version is: libgcj-4.1.0-3 libgcj-4.1.0-3
kernel is: Linux 2.6.16-1.2080_FC5 #1 SMP Tue Mar 28 03:38:47 EST 2006 x86_64
x86_64 x86_64
OpenOffice.org core rpm version is: openoffice.org-core-2.0.2-5.7.2
accessibility is: false
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 20
Policy from config file:        targeted
...end sestatus details ...
0x2c89680: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e680
0x2c89ec0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1eec0
0xffffe500:  + 0x500 (__kernel_sigreturn + 0x0)
0xf7ec8d70: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x28ad70
0xf7d68773: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x12a773
0xf7d687f8: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x12a7f8
0xf7d70319: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x132319
0xf7d7046b: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x13246b
0x477b612: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18a612
(SfxViewFactory::CreateInstance(SfxViewFrame*, SfxViewShell*) + 0xe)
0x4781f80: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x190f80
0x478bcc1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19acc1
(SfxTopViewFrame::SfxTopViewFrame(SfxFrame*, SfxObjectShell*, unsigned short) +
0x1c9)
0x478ce80: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19be80
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x3e6)
0x4729aef: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x138aef
0x478ccde: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19bcde
(SfxTopFrame::InsertDocument(SfxObjectShell*) + 0x244)
0x47714e4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1804e4
0x4affe10: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xebe10
0x4b00546: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xec546
0x4b010a2: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xed0a2
0x4a6a29a: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x5629a
0x469ced8: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xabed8
0x46a3990: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb2990
0x479f472: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ae472
0x479e671: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ad671
0x479eb48: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1adb48
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x12e)
0x479ee51: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ade51
(SfxDispatcher::Execute(unsigned short, unsigned short, unsigned short,
SfxItemSet const&) + 0xe3)
0x479eedc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1adedc
(SfxDispatcher::Execute(unsigned short, unsigned short, SfxItemSet const&) + 0x26)
0x47725fc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1815fc
(SfxFrame::LoadDocumentSynchron(SfxItemSet&) + 0x7a)
0xf7d76f27: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x138f27
0xf7d77dc5: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x139dc5
0xf7d75852: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x137852
0x479f472: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ae472
0x47a4dc3: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b3dc3
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x89)
0xf7e6f1c2: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x2311c2
0x4aabb9f: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x97b9f
0x46aa877: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb9877
0x46a396c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb296c
0x479f472: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ae472
0x47a4dc3: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b3dc3
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x89)
0x4770d8b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x17fd8b
0x4affe10: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xebe10
0x4b00546: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xec546
0x4b010a2: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0xed0a2
0x4a526d1: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x3e6d1
0x4c0a803: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x38803
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x102b)
0x4c021c2: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x301c2
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x136)
0x4bf346f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2146f
(desktop::Desktop::OpenDefault() + 0x271)
0x4bfb90b: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2990b
(desktop::Desktop::OpenClients() + 0xedf)
0x4bfb945: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29945
(desktop::Desktop::OpenClients_Impl(void*) + 0x35)
0x4bfb994: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29994
(desktop::Desktop::LinkStubOpenClients_Impl(void*, void*) + 0x1a)
0x33452f6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x832f6
0x3493c26: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d1c26
0xf70076b6: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1e6b6
0xf702b3da: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x423da
(SalDisplay::DispatchInternalEvent() + 0x64)
0xf7078a5a: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14a5a
0x7e8f6e1: /usr/lib/libglib-2.0.so.0 + 0x236e1
0x7e9109d: /usr/lib/libglib-2.0.so.0 + 0x2509d (g_main_context_dispatch + 0x16d)
0x7e9432f: /usr/lib/libglib-2.0.so.0 + 0x2832f
0x7e94895: /usr/lib/libglib-2.0.so.0 + 0x28895 (g_main_context_iteration + 0x65)
0xf7078901: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14901
0xf702c21d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4321d
(X11SalInstance::Yield(unsigned char) + 0x27)
0x334c866: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a866
(Application::Yield() + 0x48)
0x334c8ea: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a8ea
(Application::Execute() + 0x26)
0x4bfa0bb: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x280bb
(desktop::Desktop::Main() + 0x15af)
0x3350956: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e956
0x3350a09: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ea09 (SVMain()
+ 0x2b)
0x4bf2bf3: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20bf3 (sal_main
+ 0x57)
0x4bf2c3f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20c3f (main + 0x27)
0xccc7e4: /lib/libc.so.6 + 0x157e4 (__libc_start_main + 0xdc)
0x80484d1: /usr/lib/openoffice.org2.0/program/simpress.bin + 0x4d1


Expected results:


Additional info:
Comment 1 Caolan McNamara 2006-04-11 04:25:11 EDT
Created attachment 127603 [details]
stacktrace mapped back to line numbers and methods
Comment 2 Caolan McNamara 2006-04-11 04:29:52 EDT
Runs for me under KDE on x86. 

Does nothing appear at all, or do you even get the first presentation wizard
window first ?
Comment 3 Eduardo N. H. 2006-04-11 07:18:39 EDT
the wizard appears. If selecting new presentation or try to open one, it  
crashes. Impress also takes a long time to load before wizard comes up.   
 
When starting impress at console this shows up: 
 
/usr/lib/openoffice.org2.0/program/soffice: line 140:  2635 Bus error          
     
"${sd_prog}"/pagein -L"${sd_prog}" ${sd_pagein_args} 
Comment 4 Caolan McNamara 2006-04-12 03:49:07 EDT
In mail 

> Removing and reinstalling all openoffice packages worked.

Possible source problems included selinux and/or problems on a fc4->fc5 update

So doesn't seem like it was a OOo specific problem

Note You need to log in before you can comment on or make changes to this bug.